# Blockchain Components

## v0.0.1 ( Mon Jul 30 2018 18:15:14 GMT+0100 (British Summer Time) )


## Bug Fixes

  - **build**
    - fix esm release (#35)
  ([b591c2da](git@github.com:blockchain/blockchain-info-components/commit/b591c2da258d28af586fdab0b17a19161b7dba06))




## Features

  - **api**
    - expose only  event handler, no (#33)
  ([553eeddd](git@github.com:blockchain/blockchain-info-components/commit/553eeddd43355929b0eb3233d8038310fdd26c5b))

  - **button**
    - add type (#21)
  ([b4b1596d](git@github.com:blockchain/blockchain-info-components/commit/b4b1596d9a927469c9c35883d93f6efb78d6e4ee))
    - implement new styles (#18)
  ([d258e5d1](git@github.com:blockchain/blockchain-info-components/commit/d258e5d1c4c9a0a26f7b48a123e32b9cfcafc970))

  - **color**
    - update color names (#29)
  ([11730b9e](git@github.com:blockchain/blockchain-info-components/commit/11730b9e13eb7d303cc7630cddb297e4adfb4f59))
    - add black to theme (#20)
  ([c4c6d868](git@github.com:blockchain/blockchain-info-components/commit/c4c6d868f210a21981f6743469538151c8c8faa7))

  - **font**
    - replace Montserrat by IBM Plex (#26)
  ([2b1048fa](git@github.com:blockchain/blockchain-info-components/commit/2b1048fac00aca39e9e47d0f45910e80d0e02a12))

  - **input**
    - make input redux-form compatible (#22)
  ([23cf75fc](git@github.com:blockchain/blockchain-info-components/commit/23cf75fc2593f96e7596683200bc4525c03bcd46))
    - implement new styles (#16)
  ([67efb4d9](git@github.com:blockchain/blockchain-info-components/commit/67efb4d9e2eb5b8a486e4350b9f178d2e49de4e1))

  - **searchbar**
    - implement new input styles (#17)
  ([8f1a4abc](git@github.com:blockchain/blockchain-info-components/commit/8f1a4abc8538409c8b24cb1f1578135bdb271fd4))




## Documentation
  - update readme (#28)
  ([a25947a7](git@github.com:blockchain/blockchain-info-components/commit/a25947a76eb695d703166b13ed752382be5a0438))




## Refactor

  - **theme**
    - updated components to rely on new theme object (#34)
  ([96782970](git@github.com:blockchain/blockchain-info-components/commit/9678297005c1b0d95378bcc5bcbb7543d18ae0c4))




## Test

  - **button**
    - improve coverage and use deep rendering (#23)
  ([28310b93](git@github.com:blockchain/blockchain-info-components/commit/28310b93e6f41ef2f81de6199684b8059d2cce84))

  - **coverage**
    - use deep rendering to improve coverage (#24)
  ([9310c892](git@github.com:blockchain/blockchain-info-components/commit/9310c8923585b31d2ffbe2fccafc296c664bae22))




## Chore
  - update lock files (#25)
  ([f59dab7b](git@github.com:blockchain/blockchain-info-components/commit/f59dab7bfe84d9558a9fb997443cb956d92b58ed))
  - Add git hook to check commit messages (#14)
  ([e905518f](git@github.com:blockchain/blockchain-info-components/commit/e905518fe1e377c7714878d5348987c7758c94b1))

  - **api**
    - Fix API and expose all components (#11)
  ([4a75083e](git@github.com:blockchain/blockchain-info-components/commit/4a75083ebb26c519831fbfc0f71c955f8ff1ebc2))

  - **build**
    - add release scripts (#36)
  ([26fa174a](git@github.com:blockchain/blockchain-info-components/commit/26fa174a1f665f661a32bb8a149ce1d6cc4a24db))
    - add compiled code so consumers can use the lib without transpiling (#32)
  ([31a29ca7](git@github.com:blockchain/blockchain-info-components/commit/31a29ca72fce354f0becfd007cf2e941a77ea5f0))
    - run build after install (#31)
  ([13cdfb33](git@github.com:blockchain/blockchain-info-components/commit/13cdfb33f8c6b7d9ee4c114db0eef51878bb05aa))
    - remove blacklisted folders (#30)
  ([0a682aa6](git@github.com:blockchain/blockchain-info-components/commit/0a682aa636fe3f1c1646c88bd386b97bf4cd5fe9))
    - watch for changes for better dev experience (#15)
  ([7939a86d](git@github.com:blockchain/blockchain-info-components/commit/7939a86da6beba2dda037d610a2aed55351b9044))
    - Inline images (#13)
  ([d4138651](git@github.com:blockchain/blockchain-info-components/commit/d4138651c98a7c9a93eb91b3e7f9bb4bea60ad86))
    - Fix building task (#10)
  ([c5ca19bc](git@github.com:blockchain/blockchain-info-components/commit/c5ca19bc62c125f1052a54611888004fee1a0be0))

  - **deps**
    - update lock file (#27)
  ([48385365](git@github.com:blockchain/blockchain-info-components/commit/4838536550661173956e0f463c5aab746df344ba))
    - Update lock files
  ([b2b27414](git@github.com:blockchain/blockchain-info-components/commit/b2b2741465890e00918c0d3d25f1b98273c5884c))

  - **distribution**
    - Transpile code for consumers (#9)
  ([856b218f](git@github.com:blockchain/blockchain-info-components/commit/856b218fe63d7122a33538d75e3faf643e701da1))

  - **git**
    - configure commit-msg git hook and update lock files
  ([64eb69c3](git@github.com:blockchain/blockchain-info-components/commit/64eb69c3b04866ff145316b3eae9369750b82d75))

  - **project**
    - Add license (#12)
  ([693e3ec1](git@github.com:blockchain/blockchain-info-components/commit/693e3ec1d298bd773cc22743a4f500bd784d0fa7))

  - **release**
    - Add changelog template and tooling (#7)
  ([a1f5b42a](git@github.com:blockchain/blockchain-info-components/commit/a1f5b42a0ae82ddb34cca79c50f5f1f5c596a5c6))

  - **test**
    - collect coverage only from components (#19)
  ([765cf776](git@github.com:blockchain/blockchain-info-components/commit/765cf776a25f86a5021799938c214f8a100dcba8))





